%define module  PQueue
%define version 0.2
%define release 3mdk
%define pyver	%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary: 	%{module} module for python
Name: 		python-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		Development/Python
Source0: 	%{module}-%{version}.tar.bz2
Url:		http://www.csse.monash.edu.au/hons/projects/1999/Andrew.Snare
BuildRequires:	python-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description 
This C extension implements a priority-queue object using a fibonacci
heap as the underlying data structure.

%prep
%setup -q -n %{module}

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages
%makeinstall

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/python%{pyver}/site-packages/*

%changelog
* Sat Aug 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.2-3mdk
- rebuild for new python

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2-2mdk
- rebuild

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2-1mdk
- first mdk release
